Skip to main content
GET
/
core
/
v3
/
custom-fields
List custom fields
curl --request GET \
  --url https://api-{region}.sesametime.com/core/v3/custom-fields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "cf_preferred_os",
      "type": "text",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

limit
integer

Limit custom fields

page
integer

Request a specific page

orderBy
string

field1 asc, field2 desc

Response

200 - application/json

Array of objects

data
object[]
meta
object